<?php
namespace Config\DataBin;


class RegionalManager extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'RegionalManager',
			'DatasetName' => 'regionalmanagers',
			'Entity'      => '\Config\Entity\RegionalManager',
			'References'  => array(
					'group'     => '\Company\Entity\Group',
			),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaList = array(
			'Type'			=> 'List',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Filter' => array(
							'group'         => 'Id',
					)
			),
			'Filter' => array(),
			'OrderBy' => array(
					'firstName' => 'DESC'
			),
			'Fields' => array(),
			'Expand' => array('group')
	);
  
  /**
	 * @var array
	*/
	protected $metaSelectList = array(
			'Type'			=> 'SelectList',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Filter' => array(
							'group'         => 'Id',
					)
			),
			'Filter' => array(),
			'OrderBy' => array(
					'firstName' => 'DESC'
			),
			'Fields' => array(),
			'Label'    => array(
				'Format' => '[firstName] [familyName]',
				'Fields' => array('firstName', 'familyName')
			)
	);
	/**
	 * @var array
	*/
	protected $metaCreate = array(
			'Type'			=> 'Create',
			'Contract' 		=> 'Recurring',
			'RequiredInput' => array(
					'RegionalManager' => array(
              'group'       => 'Integer',
							'firstName'   => 'String100',
							'familyName'  => 'String100',
							'mobile'      => 'String20',
              'email'       => 'Email',
					)
			),
			'OptionalInput' => array()
	);
	/**
	 * @var array
	*/
	protected $metaUpdate = array(
			'Type'			=> 'Update',
			'Contract' 		=> 'UseOnce',
			'RequiredInput' => array(
					'RegionalManager' => array(
              'group'       => 'Integer',
							'firstName'   => 'String100',
							'familyName'  => 'String100',
							'mobile'      => 'String20',
              'email'       => 'Email',
					)
			),
			'OptionalInput' => array()
	);
	/**
	 * @var array
	*/
	protected $metaDelete = array(
			'Contract' => 'UseOnce'
	);

}